<template>
  <lazy-theme-desktop-peru-account v-if="theme.includes('/peru')" />
  <MainAccountBody
    v-else-if="
      ['mobile/main', 'mobile/playful', 'mobile/global'].includes(theme)
    "
  />
  <AccountMainContent v-else-if="isDesktop && !theme.includes('/peru')" />
  <MAccountMainContent v-else-if="!isDesktop && !theme.includes('/peru')" />
</template>

<script lang="ts" setup>
import AccountMainContent from "@/components/theme/common/desktop/account/AccountMainContent.client.vue";
import MAccountMainContent from "@/components/theme/common/mobile/account/AccountMainContent.client.vue";
import MainAccountBody from "@/components/theme/common/mobile/main-account/MainAccountBody.client.vue";

const { isDesktop } = useDevice();
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>

<style></style>
